datablock TSShapeConstructor(GiantDts)
{
	baseShape  = "./Giant.dts";
	sequence0  = "./mc_root.dsq root";

	sequence1  = "./mc_walk.dsq run";
	sequence2  = "./mc_walk.dsq walk";
	sequence3  = "./mc_walk.dsq back";
	sequence4  = "./mc_side.dsq side";

	sequence5  = "./mc_crouch.dsq crouch";
	sequence6  = "./mc_walk.dsq crouchrun";
	sequence7  = "./mc_walk.dsq crouchback";
	sequence8  = "./mc_walk.dsq crouchside";

	sequence9  = "./mc_look.dsq look";
	sequence10 = "./mc_headside.dsq headside";
	sequence11 = "./mc_root.dsq headup";

	sequence12 = "./mc_root.dsq jump";
	sequence13 = "./mc_root.dsq standjump";
	sequence14 = "./mc_sit.dsq fall";
	sequence15 = "./mc_root.dsq land";

	sequence16 = "./mc_root.dsq armAttack";
	sequence17 = "./mc_root.dsq armReadyLeft";
	sequence18 = "./mc_root.dsq armReadyRight";
	sequence19 = "./mc_root.dsq armReadyBoth";
	sequence20 = "./mc_root.dsq spearready";  
	sequence21 = "./mc_root.dsq spearThrow";

	sequence22 = "./mc_root.dsq talk";  

	sequence23 = "./mc_death1.dsq death1"; 
	
	sequence24 = "./mc_root.dsq shiftUp";
	sequence25 = "./mc_root.dsq shiftDown";
	sequence26 = "./mc_root.dsq shiftAway";
	sequence27 = "./mc_root.dsq shiftTo";
	sequence28 = "./mc_root.dsq shiftLeft";
	sequence29 = "./mc_root.dsq shiftRight";
	sequence30 = "./mc_rotCW.dsq rotCW";
	sequence31 = "./mc_rotCCW.dsq rotCCW";

	sequence32 = "./mc_root.dsq undo";
	sequence33 = "./mc_root.dsq plant";

	sequence34 = "./mc_sit.dsq sit";

	sequence35 = "./mc_root.dsq wrench";

   sequence36 = "./mc_root.dsq activate";
   sequence37 = "./mc_root.dsq activate2";

   sequence38 = "./mc_root.dsq leftrecoil";
};    

datablock PlayerData(PlayerMCGiant : PlayerStandardArmor)
{

   shapeFile = "./Giant.dts";
   canJet = 0;
   uiName = "MC Giant";
   maxDamage = 500;
   maxStepHeight = "5";
   boundingBox = "18 18 50";
   crouchboundingBox = "18 18 50";
   mass = "4500";
   runForce = "216000";
   jumpForce = "60000";
   cameraTilt = "0.35";
   cameraVerticalOffset = "3.75";
   cameraHorizontalOffset = "0";
   cameraMaxDist = "20";
   cameraMinDist = "0";
 };

datablock PlayerData(PlayerMCGiantBoss : PlayerMCGiant)
{
   maxDamage = 5000;
   uiName = "MC Giant Boss";
 };